
Foreman - Bug #29276

telemetry broken on Debian/Ubuntu

03/05/2020 09:58 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 1.23.2, 1.24.3, 2.0.0, 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7492

  

Description

foreman@buster:~$ /usr/bin/bundle exec rails server --environment $FOREMAN_ENV --port $FOREMAN_POR

T --binding $FOREMAN_BIND

=> Booting Puma

=> Rails 5.2.1 application starting in production 

=> Run `rails server -h` for more startup options

Exiting

Traceback (most recent call last):

    57: from bin/rails:9:in `<main>'

    56: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/commands.rb:18:in 

`<top (required)>'

    55: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/command.rb:46:in `

invoke'

    54: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/command/base.rb:65

:in `perform'

    53: from /usr/share/foreman/vendor/ruby/2.5.0/gems/thor-1.0.1/lib/thor.rb:392:in `dispatch'

    52: from /usr/share/foreman/vendor/ruby/2.5.0/gems/thor-1.0.1/lib/thor/invocation.rb:127:in `i

nvoke_command'

    51: from /usr/share/foreman/vendor/ruby/2.5.0/gems/thor-1.0.1/lib/thor/command.rb:27:in `run'

    50: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/commands/server/se

rver_command.rb:142:in `perform'

    49: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/commands/server/se

rver_command.rb:142:in `tap'

    48: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/commands/server/se

rver_command.rb:147:in `block in perform'

    47: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/commands/server/se

rver_command.rb:53:in `start'

    46: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/server.rb:283:in `start

'

    45: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/server.rb:354:in `wrapp

ed_app'

    44: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/commands/server/se

rver_command.rb:27:in `app'

    43: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/server.rb:219:in `app'

    42: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/server.rb:319:in `build

_app_and_options_from_config'

    41: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/builder.rb:40:in `parse

_file'

    40: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/builder.rb:49:in `new_f

rom_string'

    39: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/builder.rb:49:in `eval'

    38: from config.ru:in `<main>'

    37: from config.ru:in `new'

    36: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/builder.rb:55:in `initi

alize'

    35: from /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.0.9/lib/rack/builder.rb:55:in `insta
nce_eval'

    34: from config.ru:5:in `block in <main>'

    33: from /usr/share/foreman/config/environment.rb:5:in `<top (required)>'

    32: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/railtie.rb:190:in 

`method_missing'

    31: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/railtie.rb:190:in 

`public_send'

    30: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/application.rb:361

:in `initialize!'

    29: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/initializable.rb:6

0:in `run_initializers'

    28: from /usr/lib/ruby/2.5.0/tsort.rb:205:in `tsort_each'

    27: from /usr/lib/ruby/2.5.0/tsort.rb:226:in `tsort_each'

    26: from /usr/lib/ruby/2.5.0/tsort.rb:347:in `each_strongly_connected_component'

    25: from /usr/lib/ruby/2.5.0/tsort.rb:347:in `call'

    24: from /usr/lib/ruby/2.5.0/tsort.rb:347:in `each'

    23: from /usr/lib/ruby/2.5.0/tsort.rb:349:in `block in each_strongly_connected_component'

    22: from /usr/lib/ruby/2.5.0/tsort.rb:415:in `each_strongly_connected_component_from'

    21: from /usr/lib/ruby/2.5.0/tsort.rb:415:in `call'

    20: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/initializable.rb:5

0:in `tsort_each_child'

    19: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/initializable.rb:5

0:in `each'

    18: from /usr/lib/ruby/2.5.0/tsort.rb:421:in `block in each_strongly_connected_component_from'

    17: from /usr/lib/ruby/2.5.0/tsort.rb:431:in `each_strongly_connected_component_from'

    16: from /usr/lib/ruby/2.5.0/tsort.rb:422:in `block (2 levels) in each_strongly_connected_comp

onent_from'

    15: from /usr/lib/ruby/2.5.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_comp

onent'

    14: from /usr/lib/ruby/2.5.0/tsort.rb:228:in `block in tsort_each'

    13: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/initializable.rb:6

1:in `block in run_initializers'

    12: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/initializable.rb:3

2:in `run'

    11: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/initializable.rb:3

2:in `instance_exec'

    10: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/engine.rb:613:in `

block in <class:Engine>'

     9: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/engine.rb:613:in `

each'

     8: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/engine.rb:614:in `

block (2 levels) in <class:Engine>'

     7: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/engine.rb:656:in `

load_config_initializer'

     6: from /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-5.2.1/lib/active_support/noti

fications.rb:170:in `instrument'

     5: from /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-5.2.1/lib/rails/engine.rb:657:in `

block in load_config_initializer'

     4: from /usr/share/foreman/config/initializers/5_telemetry.rb:4:in `<top (required)>'

     3: from /usr/share/foreman/lib/foreman/telemetry.rb:23:in `setup'

     2: from /usr/share/foreman/lib/foreman/telemetry.rb:29:in `setup_sink'

     1: from /usr/share/foreman/lib/foreman/telemetry.rb:29:in `new'

/usr/share/foreman/lib/foreman/telemetry_sinks/statsd_sink.rb:8:in `initialize': uninitialized con

stant StatsD::Instrument::Backends (NameError)

Associated revisions

Revision 8abbebcb - 03/05/2020 11:15 PM - Michael Moll 

Fixes #29276 - pin statsd-instrument

History

#1 - 03/05/2020 10:00 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7492 added

#2 - 03/05/2020 11:15 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 03/06/2020 12:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 8abbebcb13049ba42e8d564e02f7277062257b1f.

#4 - 03/06/2020 09:24 PM - Anonymous

- Fixed in Releases 1.23.2, 1.24.3, 2.0.0 added
